Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps
Class WMPSDatabase

    java.lang.Object
      org.deegree.ogcwebservices.wmps.WMPSDatabase

    public class WMPSDatabase

extends Object

Provides database functionalities for the wmps.

Since:
  2.0
Version:
  2.0, $Revision: 21175 $, $Date: 2009-12-02 15:24:50 +0100 (Mi, 02. Dez 2009) $
Author:
  Anup Deshmukh, last edited by: $Author: apoth $

Constructor Summary
`WMPSDatabase(CacheDatabase cacheDatabase)` Creates a new WMPSDatabase instance.

Method Summary
`Connection` | `acquireConnection()` Creates a valid db connection with properties read from the configuration file.
`void` | `insertData(Connection connection, PrintMap request)` Inserts data into the table.
`protected void` | `releaseConnection(Connection connection)` Releases the current database connection.
`PrintMap` | `selectPrintMapRequest(Connection connection)` Select the PrintMap request that has been in the databank for the longest time. i.e the first in queue to be processed.
`void` | `updateDB(Connection connection, String id, Timestamp timeStamp, String state)` Updating the processed field in the db to signify that the PrintMap request has been successfully carried out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMPSDatabase

    public WMPSDatabase(CacheDatabase cacheDatabase)
                 throws Exception

  Creates a new WMPSDatabase instance.

  Parameters:
    `cacheDatabase` -
  Throws:
    `Exception`

Method Detail

### insertData

    public void insertData(Connection connection,
                           PrintMap request)
                    throws PrintMapServiceException,
                           IOException

  Inserts data into the table. Each incomming request is stored in the db.

  Parameters:
    `connection` -
    `request` -
  Throws:
    `IOException`
    `PrintMapServiceException`
    `IOException`

### acquireConnection

    public Connection acquireConnection()
                                 throws Exception

  Creates a valid db connection with properties read from the configuration file.

  Returns:
    Connection
  Throws:
    `Exception`

### releaseConnection

    protected void releaseConnection(Connection connection)
                              throws SQLException

  Releases the current database connection.

  Parameters:
    `connection` -
  Throws:
    `SQLException`

### selectPrintMapRequest

    public PrintMap selectPrintMapRequest(Connection connection)
                                   throws PrintMapServiceException

  Select the PrintMap request that has been in the databank for the longest time. i.e the first in queue to be processed.

  Parameters:
    `connection` -
  Returns:
    PrintMap
  Throws:
    `PrintMapServiceException`

### updateDB

    public void updateDB(Connection connection,
                         String id,
                         Timestamp timeStamp,
                         String state)
                  throws SQLException

  Updating the processed field in the db to signify that the PrintMap request has been successfully carried out.

  Parameters:
    `connection` -
    `id` -
    `timeStamp` -
    `state` -
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org